package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;

public class SkillDodge extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		player.setDodgeChance(getLevel() * 0.05f);
	}

	@Override
	public String getName() {
		return "Dodge";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Attack;
	}

	@Override
	public int getIcon() {
		return 8;
	}

	@Override
	public float getMaxColdown() {
		return 0;
	}
	
	@Override
	public String getDescription() {
		return "(5 * level)% chance to dodge incoming attack";
	}

}
